Get a label by ID
curl --request GET \
--url https://api.portkey.ai/v1/labels/{labelId} \
--header 'x-portkey-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color_code": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_universal": true,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "<string>"
}Retrieve Label
Returns a specific label by its ID
GET
/
labels
/
{labelId}
Get a label by ID
curl --request GET \
--url https://api.portkey.ai/v1/labels/{labelId} \
--header 'x-portkey-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color_code": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_universal": true,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-mintlify-streaming-output-guardrails-1775146675.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
ID of the label to retrieve
Query Parameters
ID of the organisation
ID or slug of the workspace
Response
Label details
Unique identifier for the label
Name of the label
Description of the label
Color code for the label
ID of the organisation the label belongs to
ID of the workspace the label belongs to
Whether the label is universal
When the label was created
When the label was last updated
Status of the label
Last modified on April 2, 2026
Was this page helpful?
⌘I

